Bug 300891 - system-config-network(aka neat) is crashing while saving profiles
system-config-network(aka neat) is crashing while saving profiles
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 13:57 EDT by Naresh
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 02:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naresh 2007-09-21 13:57:53 EDT
Description of problem:
Saving, deleting, creating new connections are crashing the application

Version-Release number of selected component (if applicable):
system-config-network-1.4.0-2.fc8
Linux fallenangel 2.6.23-0.187.rc6.git7.fc8 #1 SMP Tue Sep 18 18:05:52 EDT 2007
i686 i686 i386 GNU/Linux

How reproducible:
Always

Steps to Reproduce:
1.click on system/network from the gnome panel
2.Try deleting any existing connection (which is inactive)

1.click on system/network from gnome panel
2.Click editing any wireless interface profile
3.click on File->Save

Actual results:

The application system-config-netowk (neat) is crashing with the following errors.

Component: system-config-network
Version: 1.4.0
Summary: TB5fc76dc7 ConfPAP.py:218:delallitem:NameError: global name 'ListType'
is not defined

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
736, in on_deactivateButton_clicked
    self.deactivateButtonFunc[self.active_page](button)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
981, in on_deviceDeactivateButton_clicked
    if self.save() != 0:
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
352, in save
    self.saveDevices()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
372, in saveDevices
    devicelist.save()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 199,
in save
    papconf.delallitem([key, server])
  File "/usr/share/system-config-network/netconfpkg/conf/ConfPAP.py", line 218,
in delallitem
    if isinstance(varname, ListType):
NameError: global name 'ListType' is not defined

Local variables in innermost frame:
varname: ['internet', '*']
self: <netconfpkg.conf.ConfPAP.ConfPAP instance at 0x8fb522c>
place: 5

Expected results:

Changes should have got saved
Comment 1 Naresh 2007-09-24 23:15:45 EDT
Here is the proposed solution for this.

[nareshv@fallenangel tmp]$ diff ConfPAP.py.orig ConfPAP.py
18c18
< #from types import *
---
> from types import *


OriginalFile:: /usr/share/system-config-network/netconfpkg/conf/ConfPAP.py

==> Apply the above patch and the neat command stopped crashing.
Comment 2 Harald Hoyer 2007-09-25 00:44:41 EDT
correct

Note You need to log in before you can comment on or make changes to this bug.